AppdefStatManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppdefStatManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppdefStatManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil
          org.hyperic.hq.appdef.server.session.AppdefSessionEJB
              org.hyperic.hq.appdef.server.session.AppdefStatManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AppdefStatManagerEJBImpl

extends AppdefSessionEJB
implements javax.ejb.SessionBean

AppdefStatManagerEJB provides summary and aggregate statistical information for appdef related entities.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`_ctx, _ic`

Constructor Summary
`AppdefStatManagerEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Map` | `getApplicationCountsByTypeMap(AuthzSubject subject)` Return map of app counts.
`int` | `getApplicationsCount(AuthzSubject subject)` Return apps count.
`java.util.Map` | `getGroupCountsMap(AuthzSubject subject)` Return map of grp counts.
`ResourceTreeNode[]` | `getNavMapDataForApplication(AuthzSubject subject, java.lang.Integer appId)` Return directly connected resource tree for node level service
`ResourceTreeNode[]` | `getNavMapDataForAutoGroup(AuthzSubject subject, AppdefEntityID[] parents, java.lang.Integer resType)` Return resources for autogroups
`ResourceTreeNode[]` | `getNavMapDataForGroup(AuthzSubject subject, java.lang.Integer groupId)` Return resources for groups (not autogroups)
`ResourceTreeNode[]` | `getNavMapDataForPlatform(AuthzSubject subject, java.lang.Integer platformId)` Return directly connected resource tree for node level platform
`ResourceTreeNode[]` | `getNavMapDataForServer(AuthzSubject subject, java.lang.Integer serverId)` Return directly connected resource tree for node level server
`ResourceTreeNode[]` | `getNavMapDataForService(AuthzSubject subject, java.lang.Integer serviceId)` Return directly connected resource tree for node level service
`static org.hyperic.hq.appdef.shared.AppdefStatManagerLocal` | `getOne()`
`java.util.Map` | `getPlatformCountsByTypeMap(AuthzSubject subject)` Return map of platform counts.
`int` | `getPlatformsCount(AuthzSubject subj)` Return platforms count.
`java.util.Map` | `getServerCountsByTypeMap(AuthzSubject subject)` Return map of server counts.
`int` | `getServersCount(AuthzSubject subject)` Return servers count.
`java.util.Map` | `getServiceCountsByTypeMap(AuthzSubject subject)` Return map of service counts.
`int` | `getServicesCount(AuthzSubject subject)` Return services count.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`changeOwner, checkAIScanPermission, checkAlertingPermission, checkAlertingScope, checkControlPermission, checkCreateChildPermission, checkCreatePlatformPermission, checkModifyPermission, checkMonitorPermission, checkPermission, checkPermission, checkRemovePermission, checkViewPermission, createAuthzResource, createAuthzResource, deleteCustomProperties, filterResourceTypes, filterViewableServers, getApplicationPrototypeResourceType, getApplicationResourceType, getAuthzResourceType, getGroupResourceType, getInitialContext, getOperationByName, getOverlord, getPlatformPrototypeResourceType, getPlatformResourceType, getResourcePermissions, getResourceType, getRootResourceType, getServerPrototypeResourceType, getServerResourceType, getServiceCluster, getServicePrototypeResourceType, getServiceResourceType, getSessionContext, getViewableApplications, getViewableGroups, getViewablePlatformPKs, getViewablePlatforms, getViewableServers, getViewableServiceInventory, getViewableServices, removeAuthzResource, rollback`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionUtil
`findResourceType, findResourceType, getAgentDAO, getAIQManagerLocal, getApplicationDAO, getApplicationManager, getConfigManager, getConfigResponseDAO, getCPropManager, getPlatformDAO, getPlatformManager, getPlatformTypeDAO, getResourceManager, getServerDAO, getServerManager, getServerTypeDAO, getServiceDAO, getServiceManager, getServiceTypeDAO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefStatManagerEJBImpl

    public AppdefStatManagerEJBImpl()

Method Detail

### getPlatformCountsByTypeMap

    public java.util.Map getPlatformCountsByTypeMap(AuthzSubject subject)

  Return map of platform counts.

### getPlatformsCount

    public int getPlatformsCount(AuthzSubject subj)

  Return platforms count.

### getServerCountsByTypeMap

    public java.util.Map getServerCountsByTypeMap(AuthzSubject subject)

  Return map of server counts.

### getServersCount

    public int getServersCount(AuthzSubject subject)

  Return servers count.

### getServiceCountsByTypeMap

    public java.util.Map getServiceCountsByTypeMap(AuthzSubject subject)

  Return map of service counts.

### getServicesCount

    public int getServicesCount(AuthzSubject subject)

  Return services count.

### getApplicationCountsByTypeMap

    public java.util.Map getApplicationCountsByTypeMap(AuthzSubject subject)

  Return map of app counts.

### getApplicationsCount

    public int getApplicationsCount(AuthzSubject subject)

  Return apps count.

### getGroupCountsMap

    public java.util.Map getGroupCountsMap(AuthzSubject subject)

  Return map of grp counts.

### getNavMapDataForPlatform

    public ResourceTreeNode[] getNavMapDataForPlatform(AuthzSubject subject,
                                                       java.lang.Integer platformId)
                                                throws PlatformNotFoundException,
                                                       PermissionException

  Return directly connected resource tree for node level platform

  Throws:
    `PlatformNotFoundException`
    `PermissionException`

### getNavMapDataForServer

    public ResourceTreeNode[] getNavMapDataForServer(AuthzSubject subject,
                                                     java.lang.Integer serverId)
                                              throws ServerNotFoundException,
                                                     PermissionException

  Return directly connected resource tree for node level server

  Throws:
    `ServerNotFoundException`
    `PermissionException`

### getNavMapDataForService

    public ResourceTreeNode[] getNavMapDataForService(AuthzSubject subject,
                                                      java.lang.Integer serviceId)
                                               throws ServiceNotFoundException,
                                                      PermissionException

  Return directly connected resource tree for node level service

  Throws:
    `ServiceNotFoundException`
    `PermissionException`

### getNavMapDataForApplication

    public ResourceTreeNode[] getNavMapDataForApplication(AuthzSubject subject,
                                                          java.lang.Integer appId)
                                                   throws ApplicationNotFoundException,
                                                          PermissionException

  Return directly connected resource tree for node level service

  Throws:
    `ApplicationNotFoundException`
    `PermissionException`

### getNavMapDataForAutoGroup

    public ResourceTreeNode[] getNavMapDataForAutoGroup(AuthzSubject subject,
                                                        AppdefEntityID[] parents,
                                                        java.lang.Integer resType)
                                                 throws AppdefEntityNotFoundException,
                                                        PermissionException

  Return resources for autogroups

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getNavMapDataForGroup

    public ResourceTreeNode[] getNavMapDataForGroup(AuthzSubject subject,
                                                    java.lang.Integer groupId)
                                             throws PermissionException

  Return resources for groups (not autogroups)

  Throws:
    `PermissionException`

### getOne

    public static org.hyperic.hq.appdef.shared.AppdefStatManagerLocal getOne()

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `AppdefSessionEJB`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.